Subject: [Simple] Who can modify an XCAP usage XML document

From: [email-masked]
Date: Fri, 26 Sep 2003 07:39:37 +0300

Hi,

In the current XCAP proposal (and I assume in the revised version to be available soon), it is assumed that the creator of an XML usage document is the sole member of a virtual access list. I.e. It is only the creator who can modify the XML document.

I believe this is a limitation and some changes need to be made to such a problem. 2 solutions are possible

1. Require that each XCAP usage document define an ACL type of list. One way of mandating this is by requiring XML documents in an XCAP usage to have an element that carries URIs of resources that have read/write access of a document. The syntax of that element can be left up to the usage document. For example, a usage document can define something like:

<ACL privilege="read-write">sip:[email-masked]</ACL>

2. Somehow generalise this in the base XCAP document using a HTTP header or something in an multipart body.

Regards,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple